<?php

$chas = date('H',time());
if ($chas > 24)
{
$chas = round($chas - 24);
}
if ($chas < 0)
{
$chas = round($chas + 24);
}
if ($chas <= 4 or $chas >= 23)
{
echo '<div class="box2"><center>Доброй ночи <img src="/images/smiles/preved.gif"/><br />';
}
elseif ($chas >= 5 and $chas <= 10)
{
echo '<div class="box2"><center>Доброе утро <img src="/images/smiles/preved.gif"/><br />';
}
elseif ($chas >= 11 and $chas <= 17)
{
echo '<div class="box2"><center>Добрый день <img src="/images/smiles/preved.gif"/><br />';
}
elseif ($chas >= 18 and $chas <= 22)
{
echo '<div class="box2"><center>Добрый вечер <img src="/images/smiles/preved.gif"/><br />';
}

$engDay = date('l');
switch($engDay)
{
case Monday: $rusDay = 'Понедельник'; break;
case Tuesday: $rusDay = 'Вторник'; break;
case Wednesday: $rusDay = 'Среда'; break;
case Thursday: $rusDay = 'Четверг'; break;
case Friday: $rusDay = 'Пятница'; break;
case Saturday: $rusDay = 'Суббота`'; break;
default: $rusDay = 'Воскресенье`'; break;
}

$t = date('H:i:s', mktime(date("H") + 0));
$d = date('d F Y', time());
$d = str_replace('January', 'Января', $d);
$d = str_replace('February', 'Февраля', $d);
$d = str_replace('March', 'Марта', $d);
$d = str_replace('April', 'Апреля', $d);
$d = str_replace('May', 'Мая', $d);
$d = str_replace('June', 'Июня', $d);
$d = str_replace('July', 'Июля' , $d);
$d = str_replace('August', 'Августа', $d);
$d = str_replace('September', 'Сентября', $d);
$d = str_replace('October', 'Октября', $d);
$d = str_replace('November', 'Ноября', $d);
$d = str_replace('December', 'Декабря', $d);

echo '<small>';
echo $d . ' | ';
echo $rusDay . ' | ';
echo $t;
echo '</small></center></div>';
?>





